Alerting
All operations require authentication.
List billing alertsProduction
Returns the IDs of the billing alerts configured on the project.
Path parameters
Service name
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cloud/ project/ {serviceName}/ alerting \
-H "authorization: Bearer $OVH_TOKEN"[ "00000000-0000-0000-0000-000000000000"]
Get a billing alertProduction
Returns the configuration of the billing alert: threshold, service, receivers and status.
Path parameters
Id
Service name
Response
Creation date
Delay of the alert in seconds
Email. DEPRECATED: use emails
Receiver of the alert
formatted monthly threshold
ID of the alert
Monthly threshold
Name of the alert
Service of the alert
ai_endpointallblock_storagedata_platforminstancesinstances_gpuinstances_without_gpuobjet_storageranchersnapshotStatus of the alert
deleteddisabledokExample uses id = 00000000-0000-0000-0000-000000000000, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cloud/ project/ {serviceName}/ alerting/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "creationDate": "2024-01-01T12:00:00Z", "delay": 0, "email": "string", "emails": [ "string" ], "formattedMonthlyThreshold": { "currencyCode": "AUD", "priceInUcents": 0, "text": "string", "value": 0 }, "id": "00000000-0000-0000-0000-000000000000", "monthlyThreshold": 0, "name": "string", "service": "ai_endpoint", "status": "deleted"}
Create a billing alertProduction
Creates a billing alert with a monthly threshold, for one service or for all services. Sends an email to the receivers when the monthly spend on the service exceeds the threshold. Use emails, as email is deprecated.
Path parameters
Service name
Request body (required)
Creation date
Delay of the alert in seconds
Email. DEPRECATED: use emails
Receiver of the alert
formatted monthly threshold
ID of the alert
Monthly threshold
Name of the alert
Service of the alert
ai_endpointallblock_storagedata_platforminstancesinstances_gpuinstances_without_gpuobjet_storageranchersnapshotStatus of the alert
deleteddisabledokResponse
Creation date
Delay of the alert in seconds
Email. DEPRECATED: use emails
Receiver of the alert
formatted monthly threshold
ID of the alert
Monthly threshold
Name of the alert
Service of the alert
ai_endpointallblock_storagedata_platforminstancesinstances_gpuinstances_without_gpuobjet_storageranchersnapshotStatus of the alert
deleteddisabledokExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cloud/ project/ {serviceName}/ alerting \
-H "authorization: Bearer $OVH_TOKEN"{ "creationDate": "2024-01-01T12:00:00Z", "delay": 0, "email": "string", "emails": [ "string" ], "formattedMonthlyThreshold": { "currencyCode": "AUD", "priceInUcents": 0, "text": "string", "value": 0 }, "id": "00000000-0000-0000-0000-000000000000", "monthlyThreshold": 0, "name": "string", "service": "ai_endpoint", "status": "deleted"}
Delete a billing alertProduction
Deletes the billing alert configuration.
Path parameters
Id
Service name
Response
Example uses id = 00000000-0000-0000-0000-000000000000, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cloud/ project/ {serviceName}/ alerting/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Update a billing alertProduction
Updates the threshold, service, receivers, delay or status of the billing alert. Use emails, as email is deprecated.
Path parameters
Id
Service name
Request body (required)
Delay of the alert in seconds
Email. DEPRECATED: use emails
Receiver of the alert
Monthly threshold
Name of the alert
Service of the alert
ai_endpointallblock_storagedata_platforminstancesinstances_gpuinstances_without_gpuobjet_storageranchersnapshotStatus of the alert
deleteddisabledokResponse
Example uses id = 00000000-0000-0000-0000-000000000000, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cloud/ project/ {serviceName}/ alerting/ {id} \
-H "authorization: Bearer $OVH_TOKEN"List sent alertsProduction
Returns the IDs of the alerts already sent for this billing alert.
Path parameters
Id
Service name
Response
Example uses id = 00000000-0000-0000-0000-000000000000, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cloud/ project/ {serviceName}/ alerting/ {id}/ alert \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a sent alertProduction
Returns when the alert was sent and to which email addresses.
Path parameters
Alert ID
Id
Service name
Response
Send date
Alert ID
Receivers of the alert
Example uses alertId = 0, id = 00000000-0000-0000-0000-000000000000, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cloud/ project/ {serviceName}/ alerting/ {id}/ alert/ {alertId} \
-H "authorization: Bearer $OVH_TOKEN"{ "alertDate": "2024-01-01T12:00:00Z", "alertId": 0, "emails": [ "string" ]}